#include <bits/stdc++.h>
using namespace std;
#define pb push_back
#define ll long long
ll mod=1000000007;

int Zvezda(int N, int *A){

    vector<ll> nule,jedinice;
    //ll dp[1000][1000];
    for(int i=1;i<=N;i++){
        if(A[i]==1)jedinice.pb(i);
        else nule.pb(i);
    }
    /*
    for(int i=1;i<=100;i++){
        for(int j=0;j<=100;j++){
            if(i==j || j==0)dp[i][j]=1;
            else if(j==1)dp[i][j]=i;
            else{
                dp[i][j]=dp[i-1][j-1]+dp[i-1][j];
                dp[i][j]%=mod;
            }
        }
    }
    */
    if(nule.size()!=2 || jedinice.size()!=2)return 0;

    if(nule.size()==2){
        ll izmedju=abs(nule[0]-nule[1]);
        ll druga= 6-izmedju;

        if(izmedju==0 || druga==0)return 1;
        else if(izmedju==1 || druga==1)return 2;
        else if(izmedju==2 || druga==2)return 3;
        else return 4;

    }
    else{
        ll izmedju=abs(jedinice[0]-jedinice[1]);
        ll druga= 6-izmedju;

        if(izmedju==0 || druga==0)return 1;
        else if(izmedju==1 || druga==1)return 2;
        else if(izmedju==2 || druga==2)return 3;
        else return 4;
    }

}